Subject: Re: bug#49848: 27.2.50; map-merge plist return alist

From: Michael Heerdegen <[email-masked]>
Date: Thu, 05 Aug 2021 04:47:16 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

> In the specific case of merging maps into a desired type, we can simply
> be more careful in such ambiguous cases.  The attached patch does that,
> while also avoiding the quadratic lookup behaviour for lists.

Looks good and appropriate to me (I could not read very carefully,
though, I'm tired today and can have a second look tomorrow).

Should we handle the corner case when zero maps get merged?

> I think the latter option may facilitate the equal-ity consistency
> being discussed in https://bug.gnu.org/47368.
>
> WDYT?

Seems a good idea to me, too.

Thanks,

Michael.